#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  plasma-activities-stats-6.6.1

- Next

  okular-25.12.2

- Up
- Home

# kio-extras-25.12.2

## Introduction to kio-extras

The kio-extras package contains additional components to increase the functionality of the KDE resource and network access abstractions.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/kio-extras-25.12.2.tar.xz

- Download MD5 sum: 6fd9b3e356002cf3082e72cc306fa8a8

- Download size: 5.4 MB

- Estimated disk space required: 114 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### kio-extras Dependencies

#### Required

KDE Frameworks-6.23.0, kdsoap-ws-discovery-client-0.4.0, libproxy-0.5.12, plasma-activities-stats-6.6.1, and qcoro-0.13.0

#### Recommended

libkexiv2-25.12.2

#### Optional

libtirpc-1.3.7, Samba-4.24.0, taglib-2.2.1, libappimage, libimobiledevice, libmtp, libplist, libssh, and OpenEXR

## Installation of kio-extras

Install kio-extras by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkioarchive6.so and 33 plugins
Installed Directories: $KF6_PREFIX/include/KioArchive6, $KF6_PREFIX/lib/cmake/KioArchive6, and $KF6_PREFIX/share/doc/HTML/en/kioworker6

- Prev

  plasma-activities-stats-6.6.1

- Next

  okular-25.12.2

- Up
- Home